# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.sidewiki
Enum Usefulness.Value

    java.lang.Object
      java.lang.Enum<Usefulness.Value>
          com.google.gdata.data.sidewiki.Usefulness.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Usefulness.Value>

Enclosing class:
  Usefulness

    public static enum Usefulness.Value

extends java.lang.Enum<Usefulness.Value>

Value.

Enum Constant Summary
`LESSUSEFUL` LessUseful usefulness.
`USEFUL` Useful usefulness.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static Usefulness.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Usefulness.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LESSUSEFUL

    public static final Usefulness.Value LESSUSEFUL

  LessUseful usefulness.

### USEFUL

    public static final Usefulness.Value USEFUL

  Useful usefulness.

Method Detail

### values

    public static Usefulness.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Usefulness.Value c : Usefulness.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Usefulness.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML